<?php

namespace Comitium5\DesignerBundle\Model\Interfaces;

/**
 * Interface PublisherInterface
 *
 * @author Carles Gómez <carles@bab-soft.com>
 * @package Comitium5\DesignerBundle\Model\Interfaces
 */
interface PublisherInterface
{
    /**
     * @param array $paths
     */
    public function publish(array $paths);

    /**
     * @param array $paths
     */
    public function removeFiles(array $paths);

    /**
     * @return mixed
     */
    public function buildTargetPaths();

    /**
     * @return mixed
     */
    public function getTargetPaths();

    /**
     * @param mixed $targetPaths
     */
    public function setTargetPaths($targetPaths);
}
